From cb64d964eb8cb852013608f6085ee1fa0ac38693 Mon Sep 17 00:00:00 2001
From: Ilya Shpigor <shpigor@etersoft.ru>
Date: Fri, 22 May 2009 14:46:20 +0400
Subject: [PATCH] comctl32: Add the checking for the case then click was on subitem of the listview item (eterbug #840)

---
 dlls/comctl32/listview.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

diff --git a/dlls/comctl32/listview.c b/dlls/comctl32/listview.c
index 12ae149..bb1c7c3 100644
--- a/dlls/comctl32/listview.c
+++ b/dlls/comctl32/listview.c
@@ -6599,6 +6599,12 @@ static INT LISTVIEW_HitTest(const LISTVIEW_INFO *infoPtr, LPLVHITTESTINFO lpht,
     {
 	lpht->flags = LVHT_ONITEM | LVHT_ABOVE;
     }
+    /* Check for case then click was on subitem.
+     * In this case the flag value LVHT_NOWHERE
+     * didn't correct. Eterbug #840
+     */
+    else if (iItem != -1)
+	lpht->flags |= LVHT_ONITEM;
     if (lpht->flags & LVHT_ONITEM)
 	lpht->flags &= ~LVHT_NOWHERE;
     TRACE("lpht->flags=0x%x\n", lpht->flags); 
-- 
1.6.2.5

